#!/usr/bin/env bioawk -f

# Modified to use 10% intervals in A

BEGIN {
	FS = "\t";
	OFS = "\t";
	firstline = 1;
}
{
	mark = $6;
	if (firstline) {
		print $0;
		firstline = 0;
	} else {
		if (mark >= 89.99) {
			grade = "A+";
		} else if (mark >= 79.99) {
			grade = "A";
		} else if (mark >= 70.0) {
			grade = "A-";
		} else if (mark >= 66.67) {
			grade = "B+";
		} else if (mark >= 63.33) {
			grade = "B";
		} else if (mark >= 60.0) {
			grade = "B-";
		} else if (mark >= 56.67) {
			grade = "C+";
		} else if (mark >= 53.33) {
			grade = "C";
		} else if (mark >= 50.0) {
			grade = "C-";
		} else if (mark >= 46.67) {
			grade = "D+";
		} else if (mark >= 43.33) {
			grade = "D";
		} else if (mark >= 40.0) {
			grade = "D-";
		} else if (mark >= 36.67) {
			grade = "E+";	
		} else if (mark >= 33.33) {
			grade = "E";
		} else if (mark >= 30.0) {
			grade = "E-";
		} else if (mark >= 26.67) {
			grade = "F+";
		} else if (mark >= 23.33) {
			grade = "F";
		} else if (mark >= 20.0) {
			grade = "F-";
		} else if (mark >= 16.67) {
			grade = "G+";
		} else if (mark >= 13.33) {
			grade = "G";
		} else if (mark >= 0.02) {
			grade = "G-";
		} else {
			grade = "NG";
		}
		print $1, $2, $3, $4, $5, grade;
	}
}
